#DEFINE C_DIR_NOTFOUND_LOC 		"Not found directory: "
#DEFINE C_ERR_CREATEOBJECT_LOC 	"Error on create object: "
#DEFINE C_ERR_VERSION_LOC 		"Sorry, this test for VFP 8.0 or later..."

IF VERSION(5) < 800
	MESSAGEBOX(C_ERR_VERSION_LOC, 16, _SCREEN.Caption)
	RETURN .F.
ENDIF

CLOSE DATABASES ALL

LOCAL lcSys16 as String;
	,lcExt as String;
	,lcPathApp as String;
	,bIsExe as Boolean   
lcSys16 = SYS(16)
IF VARTYPE(lcSys16) = 'C' AND !EMPTY(lcSys16)
	LOCAL lcExt as String
	lcExt = LOWER(JUSTEXT(lcSys16))
	bIsExe = (lcExt='exe')
	lcPathApp = LEFTC(lcSys16, RATC('\', lcSys16, IIF(bIsExe, 1, 2)))
ELSE
	bIsExe = .T.
	lcPathApp = FULLPATH(CURDIR())
ENDIF	
IF !DIRECTORY(lcPathApp)
	MESSAGEBOX(C_DIR_NOTFOUND_LOC + lcPathApp, 16, _SCREEN.Caption)
	RETURN .F.
ENDIF
SET DEFAULT TO (lcPathApp)

PUBLIC goFrm as Form
LOCAL lcFrmFile as String
lcFrmFile = "Forms\frmcustomers.scx" 
DO FORM (lcFrmFile) NAME goFrm LINKED NOSHOW
IF VARTYPE(goFrm) # 'O'
	MESSAGEBOX(C_ERR_CREATEOBJECT_LOC + lcFrmFile, 16, _SCREEN.Caption)
	RELEASE goFrm
	RETURN .F.
ENDIF
goFrm.Show()